﻿//var url = "http://192.168.1.250:9999/API";
//var url = "http://192.168.1.21:8086/API";
document.write('<script type="text/javascript" charset="utf-8" src="../../../js/mui.picker.min.js"/></script>');
document.write('<link rel="stylesheet" href="../../../css/mui.picker.min.css" />');

var url = "";
///验证必填字段是否为空
function EmptyValidation(doc) {

	var list = doc.getElementsByClassName("erprequried");
	//console.dir(list.length);
	for(var i = 0; i < list.length; i++) {
		var value = list[i].value;
		//console.dir(list[i].attributes["myname"].value);
		//console.dir(list[i].attributes["id"].value);
		//console.dir(value);
		if(typeof(value) == 'undefined' || value == null || value == '') {
			var temp = list[i].attributes["myname"].value;
			mui.toast(temp + "不能为空!");
			return false;
		}

	}
	return true;
}
//开始时间与结束时间比较开始时间应小于等于结束时间
function DateLegal(doc) {
	var beginTime = doc.getElementById("beginTime");
	var endTime = doc.getElementById("endTime");
	if(!IsEmpty(beginTime) && !IsEmpty(endTime) && !IsEmpty(beginTime.value) && !IsEmpty(endTime.value)) {
		var time1 = new Date(beginTime.value);
		var time2 = new Date(endTime.value);
		if(time1 > time2) {
			mui.toast("开始时间不能大于结束时间！请重新选择");
			return false;
		}
	}
	return true;
}

function hasClass(obj, cls) {
	if(!IsEmpty(obj)) return;
	return obj.className.match(new RegExp('(\\s|^)' + cls + '(\\s|$)'));
}

function addClass(obj, cls) {
	if(!IsEmpty(obj)) return;
	if(!this.hasClass(obj, cls)) obj.className += " " + cls;
}

function removeClass(obj, cls) {
	if(!IsEmpty(obj)) return;
	if(hasClass(obj, cls)) {
		var reg = new RegExp('(\\s|^)' + cls + '(\\s|$)');
		obj.className = obj.className.replace(reg, ' ');
	}
}

function toggleClass(obj, cls) {
	if(hasClass(obj, cls)) {
		removeClass(obj, cls);
	} else {
		addClass(obj, cls);
	}
}
//隐藏标签
function hiddenLabel(doc, id) {
	var obj = doc.getElementById(id);
	if(obj != "undefined" && obj != null) {
		obj.style.display = "none";
	}
}
//显示标签
function showLabel(doc, id) {
	var obj = doc.getElementById(id);
	//console.info(obj);
	if(obj != "undefined" && obj != null) {
		obj.style.display = "block";
	}
}
//状态函数
function TypeFmt(cellvalue, typeName) {
	var txt = '';
	if(typeName == 'Lifecycle') {
		var txt = '新单';
		if(cellvalue == -1) {
			txt = '删除';
		}
		if(cellvalue == 1) {
			txt = '已审核';
		}
	}
	//审核状态
	if(typeName == "AuditStatus") {
		if(cellvalue == 0) {
			txt = '未审核';
		} else {
			txt = '已审核';
		}
	}
	//bool类型
	if(typeName == "bool") {
		if(cellvalue == 0 || cellvalue == 'false') {
			txt = '否';
		} else {
			txt = '是';
		}
	}
	return txt;
}

///判断一个变量是否定义或赋值
function IsSet(value) {
	if(typeof(value) == 'undefined' || value == null) {
		return false;
	}
	return true;
}
///判断一个变量是否为空
function IsEmpty(value) {
	if(typeof(value) == 'boolean') {
		return false;
	}
	if(typeof(value) == 'undefined' || value == null || value == '') {
		return true;
	}
	return false
}
//设置元素自适应屏幕高度
//eleId：元素id
//coefficient：计算出来的屏幕高度乘以的系数，默认是1
function autoHeight(doc, eleId, coefficient) {
	coefficient = IsEmpty(coefficient) ? 1 : coefficient;
	//获取浏览器窗口高度  
	var winHeight = 0;
	if(window.innerHeight)
		winHeight = window.innerHeight;
	else if((doc.body) && (doc.body.clientHeight))
		winHeight = doc.body.clientHeight;
	//通过深入Document内部对body进行检测，获取浏览器窗口高度  
	if(doc.documentElement && doc.documentElement.clientHeight)
		winHeight = doc.documentElement.clientHeight;
	winHeight = winHeight * coefficient;
	//DIV高度为浏览器窗口的高度  
	doc.getElementById(eleId).style.height = winHeight + "px";
}

///获取时间
function SetDatePicker(id, doc) {
	var dDate = new Date();
	//设置当前日期（不设置默认当前日期）
	//dDate.setFullYear(2016, 7, 16);
	var minDate = new Date();
	//最小时间
	minDate.setFullYear(minDate.getFullYear() - 3, 1, 1);
	var maxDate = new Date();
	//最大时间
	maxDate.setFullYear(maxDate.getFullYear() + 2, 12, 31);
	var dtpicker = new mui.DtPicker({
		type: "Datetime", //设置日历初始视图模式    //真正的月份比写的多一个月。  type的类型你还是可以选择date, datetime month time  hour 
		beginDate: minDate, //设置开始日期   
		endDate: maxDate, //设置结束日期    //真正的是10.21
		labels: ['年', '月', '日', '时', '分'], //设置默认标签区域提示语 

	})
	dtpicker.show(function(e) {
		//console.log(e.y.text + "-" + e.m.text + "-" + e.d.text + " " + e.h.text + ":" + e.i.text); //这里是自己拼接的时间
		var str = e.y.text + "-" + e.m.text + "-" + e.d.text + " " + e.h.text + ":" + e.i.text;
		doc.getElementById(id).value = str;
	})
	//	plus.nativeUI.pickDate(function(e) {
	//		var d = e.date;
	//		doc.getElementById(id).value = d.getFullYear() + "-" + (d.getMonth() + 1) + "-" + d.getDate();
	//		//mui.toast('您选择的日期是:' + d.getFullYear() + "-" + (d.getMonth() + 1) + "-" + d.getDate());
	//	}, function(e) {
	//		//mui.toast("您没有选择日期");
	//	}, {
	//		title: '请选择日期',
	//		type:'datetime',
	//		date: dDate,
	//		minDate: minDate,
	//		maxDate: maxDate
	//	});
}

//var url = "http://localhost:39700/API";
//var url = "http://stwap.51tys.com:18085/wap/";

//valueEleID：必须的参数，下拉选项value的input标签ID
//data：必须的参数，后台请求的数据
//textEleID：可选的参数，下拉选项text的input标签ID，默认等于valueEleID加字符串Text
//eleID：可选的参数，被点击的标签ID，默认等于textEleID
//valueField：可选的参数，后台请求数据表示value的字段名，默认是TreeCode
//textField：可选的参数，后台请求数据表示text的字段名，默认是DicName
//selectedIndex：可选的参数，表示默认选择第几项，默认值是0，表示选择第一个下拉选项
//valueField：可选的参数，默认显示的value值
//textField：可选的参数，默认显示的text值
function SetPopPicker($, doc, options) {
	var valueEleID = options.valueEleID;
	var data = options.data;
	if(IsEmpty(valueEleID) || IsEmpty(data)) {
		alert("setPopPicker参数错误!");
		return;
	}
	var textEleID = IsEmpty(options.textEleID) ? valueEleID + "Text" : options.textEleID;
	var eleID = IsEmpty(options.eleID) ? textEleID : options.eleID;
	var valueField = IsEmpty(options.valueField) ? "TreeCode" : options.valueField;
	var textField = IsEmpty(options.textField) ? "DicName" : options.textField;
	var defaultValue = options.defaultValue;
	var defaultText = options.defaultText;
	var selectedIndex = options.selectedIndex;
	var picker = new $.PopPicker();
	var arr = [];
	for(var index in data) {
		arr.push({
			value: data[index][valueField],
			text: data[index][textField]
		})
	}
	picker.setData(arr);

	if(IsSet(defaultValue) && IsSet(defaultText)) {
		doc.getElementById(valueEleID).value = defaultValue;
		doc.getElementById(textEleID).value = defaultText;
	} else if(IsSet(selectedIndex) && selectedIndex >= 0 && selectedIndex < data.length) {
		doc.getElementById(valueEleID).value = arr[selectedIndex].value;
		doc.getElementById(textEleID).value = arr[selectedIndex].text;
	}
	//回调函数
	doc.getElementById(eleID).addEventListener('tap', function() {
		this.onfocus = 'blur';
		picker.show(function(selectItems) {
			doc.getElementById(valueEleID).value = selectItems[0].value;
			doc.getElementById(textEleID).value = selectItems[0].text;
			var callbackFunc = options.callbackFunc;
			if(!IsEmpty(callbackFunc) && typeof callbackFunc === "function") {
				callbackFunc(selectItems);
			}
		});
	});
}

(function($, owner) {
	$.plusReady(function() {
		var localStorage = plus.storage;
		url = localStorage.getItem("url");

		var self = plus.webview.currentWebview();
		var userID = "";
		var loginDateStr = localStorage.getItem("loginDate");
		var timeOutDateStr = localStorage.getItem("timeOutDate");
		var today = new Date();
		var timeOutDate = new Date(timeOutDateStr);
		//console.info(timeOutDate);

		//alert(timeOutDate);
		userID = localStorage.getItem("userID");
		//console.info(userID);
		//alert(userID)
		if(userID == "" || userID == null) {
			backToLogin();
		} else {
			if(today >= timeOutDate) {
				localStorage.removeItem("loginDate");
				localStorage.removeItem("userID");
				localStorage.removeItem("realName");
				localStorage.removeItem("timeOutDate");
				localStorage.removeItem("RootFuncs");
				localStorage.removeItem("SubFuncs");
				localStorage.removeItem("url");
				//localStorage.removeItem("userID");
				backToLogin();
			} else {
				//				console.info(a);
				//var newTimeoutDate = addDays(today, 3).format("yyyy-MM-dd hh:mm:ss");
				//				console.info(newTimeoutDate);
				//localStorage.setItem("timeOutDate", newTimeoutDate);
			}
		}

	})

	function addDays(loginTime, addDay) {
		return new Date(loginTime.setDate(loginTime.getDate() + addDay));
	}

	function backToLogin() {
		$.openWindow({
			url: "../../login/index.html",
			id: "loginIndex.html",
			extras: {
				name: 'mui',
				version: '3'
			}
		});
	}
	//AJAX之Mui
	owner.AppAjax = function(route, data, type, timeout, success, flag, error) {
		//var str = 'jsonEntity='+encodeURI(encodeURI(JSON.stringify(data)));
		if(IsEmpty(flag)) flag = true;
		mui.ajax(url + route, {
			data: data,
			async: flag,
			dataType: 'json',
			timeout: timeout,
			type: type,
			//headers:{'Content-Type':'application/json'},
			success: function(data) {
				success ? success(data) : function() {};
			},
			error: function(xhr, type, errorThrown) {
				console.info(type);
				$.alert(type + "：" + xhr.response, "请求错误提示", null, function() {
					//mui.back();
				}, 'div');
				console.log(JSON.stringify(xhr));
				error ? error(xhr, type, errorThrown) : function() {
					console.log(xhr + "    type    " + type);

				}
			}
		});
	}
	//AJAX之JQ版本
	owner.AppAjaxJQ = function(route, data, type, timeout, success, error) {
		$.ajax({
			type: 'post',
			url: url + route,
			cache: false,
			async: true,
			data: data,
			dataType: "json",
			success: function(data) {
				success ? success(data) : function() {};
			},
			error: function(data) {
				console.log(data);
				error ? error(data) : function() {
					console.log(data);
				}
			}
		});
	}

	var xhr = null;
	//Web访问
	owner.WebAjax = function(route, data, type, timeout, success, error) {
		if(xhr) {
			console.log("xhr请求已创建");
			return;
		}
		console.log("创建请求：");
		xhr = new plus.net.XMLHttpRequest();
		xhr.onreadystatechange = function() {
			switch(xhr.readyState) {
				case 0:
					console.log("xhr请求已初始化");
					break;
				case 1:
					console.log("xhr请求已打开");
					break;
				case 2:
					console.log("xhr请求已发送");
					break;
				case 3:
					console.log("xhr请求已响应");
					break;
				case 4:
					console.log("xhr请求已完成");
					if(xhr.status == 200) {
						console.log("xhr请求成功：" + xhr.Objs);
						document.getElementById("AjaxHtml").innerText = xhr.Objs;
					} else {
						console.log("xhr请求失败：" + xhr.status);
					}
					break;
				default:
					break;
			}
		}
		xhr.open("GET", url + route);
		xhr.send();
	}

	function xhrResponseHeader() {
		if(xhr) {
			if(xhr.readyState != 4) {
				console.log("xhr请求未完成");
			} else if(xhr.status != 200) {
				console.log("xhr请求失败：" + xhr.readyState);
			} else {
				console.log("xhr请求响应头数据：");
				console.log(xhr.getAllResponseHeaders());
			}
		} else {
			console.log("未发送请求");
		}
	}

	function xhrAbort() {
		if(xhr) {
			console.log("取消请求");
			if(xhr.readyState != 4) {
				xhr.abort();
			}
			xhr = null;
		} else {
			console.log("未发送请求");
		}
	}

	Date.prototype.format = function(fmt) {
		var o = {
			"M+": this.getMonth() + 1, //月份 
			"d+": this.getDate(), //日 
			"h+": this.getHours(), //小时 
			"m+": this.getMinutes(), //分 
			"s+": this.getSeconds(), //秒 
			"q+": Math.floor((this.getMonth() + 3) / 3), //季度 
			"S": this.getMilliseconds() //毫秒 
		};
		if(/(y+)/.test(fmt)) {
			fmt = fmt.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
		}
		for(var k in o) {
			if(new RegExp("(" + k + ")").test(fmt)) {
				fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));
			}
		}
		return fmt;
	}

	owner.SetSelectData = function(controllerName, doc) {
		var ctentity = [];
		var list = doc.getElementsByClassName("erpSelect");
		if(IsEmpty(list) && list.length < 1) return ctentity;
		var ctpicker = [];
		var ctarr = [];
		$.ajax(url + "/" + controllerName + ".mvc/GetSelectData", {
			data: {},
			dataType: 'json',
			timeout: 500,
			type: "POST",
			//headers:{'Content-Type':'application/json'},
			success: function(data) {
				//console.log("success:"+JSON.stringify(data));
				ctentity = data.Data;
				for(var i = 0; i < list.length; i++) {
					var str = list[i].attributes["id"].value;
					var selectName = list[i].attributes["selectName"].value;

					ctpicker[i] = new $.PopPicker();
					ctarr[i] = new Array();

					for(var index in ctentity) {
						if(ctentity[index].selectName == selectName) {
							ctarr[i].push({
								value: ctentity[index].value,
								text: ctentity[index].text
							})
						}
					}
					ctpicker[i].setData(ctarr[i]);
					doc.getElementById(str + "Text").setAttribute("index", i);
					doc.getElementById(str + "Text").setAttribute("modelName", str);
					doc.getElementById(str + "Text").addEventListener('tap', function() {
						this.onfocus = 'blur';
						var index = this.attributes["index"].value;
						var strs = this.attributes["modelName"].value;
						ctpicker[index].show(function(selectItems) {
							doc.getElementById(strs + "Text").value = selectItems[0].text;
							doc.getElementById(strs).value = selectItems[0].value;
						})
					})

				}

			},
			error: function(xhr, type, errorThrown) {
				console.log("error:" + JSON.stringify(xhr));

			}
		});

	}
	//详情页面赋值方法
	owner.GetDetailData = function(controllerName, id, doc) {
		$.ajax(url + "/" + controllerName + ".mvc/Get", {
			data: {
				ID: id
			},
			dataType: 'json',
			timeout: 500,
			type: "POST",
			success: function(data) {
				console.log(JSON.stringify(data))
				var Data = data.Data;
				var list = doc.getElementsByTagName('i');
				//	console.info(list.length);
				if(!IsEmpty(list) && list.length > 0) {
					for(var i = 0; i < list.length; i++) {
						var temp = list[i].attributes["id"];

						if(!IsEmpty(temp) && !IsEmpty(temp.value)) {
							//console.info(temp.value);
							//console.info(Data[temp.value]);
							//myname属性是针对数值单位为吨
							var myname = list[i].attributes["myname"];
							if(!IsEmpty(myname)) {
								list[i].innerHTML = Data[temp.value] * 0.001;
							} else {
								list[i].innerHTML = Data[temp.value];
							}

						}
					}
				}
				var emList = doc.getElementsByTagName('em')
				if(!IsEmpty(emList) && emList.length > 0) {
					for(var i = 0; i < emList.length; i++) {
						var temp = emList[i].attributes["id"];
						if(!IsEmpty(temp) && !IsEmpty(temp.value)) {
							var typeName = emList[i].attributes["Type"];
							if(!IsEmpty(typeName) && !IsEmpty(typeName.value)) {
								emList[i].innerHTML = TypeFmt(Data[temp.value], typeName.value);
							}
						}
					}
				}
			},
			error: function(xhr, type, errorThrown) {
				$.alert(type + "：" + xhr.response, "请求错误提示", null, null, 'div');
				console.log("error:" + JSON.stringify(xhr));
			}
		});
	}
}(mui, window.app = {}));