var urls = "http://erpapp.51tys.com";
var wgtUrl = "http://erpapp.51tys.com/api.mvc/GetLastApp";

function downWgt() {
	if(mui.os.ios) {
		var iosurl = 'itms-apps://itunes.apple.com/cn/app/hello-h5+/id682211190?l=zh&mt=8'; // HelloH5应用在appstore的地址
		plus.runtime.openURL(iosurl);
	} else {
		plus.nativeUI.showWaiting("正在下载升级文件...");
		plus.downloader.createDownload(wgtUrl, {
			filename: "_doc/update/"
		}, function(d, status) {
			if(status == 200) {

				console.log("下载wgt成功：" + d.filename);
				installWgt(d.filename); // 安装wgt包
			} else {
				console.log("下载wgt失败！");
				plus.nativeUI.alert("升级文件下载失败，请重新下载！");
			}
			plus.nativeUI.closeWaiting();
		}).start();
	}
}
// 更新应用资源
// 更新应用资源
function installWgt(path) {
	plus.nativeUI.showWaiting("正在升级...");
	plus.runtime.install(path, {}, function() {
		plus.nativeUI.closeWaiting();

		console.log("安装wgt文件成功！");
		mui.alert("升级成功", "升级提醒", null, null, 'div');
		plus.runtime.restart();
		//		plus.nativeUI.alert("应用更新完成！", function() {
		//			
		//		});
	}, function(e) {
		plus.nativeUI.closeWaiting();
		console.log("安装wgt文件失败[" + e.code + "]：" + e.message);
		mui.alert("升级失败!,请重新升级", "升级提醒", null, null, 'div');
		//plus.nativeUI.alert("升级失败[" + e.code + "]：" + e.message);
	});
}

function GetVersion(value, callback) {
	plus.runtime.getProperty(plus.runtime.appid, function(inf) {
		var version = inf.version;
		mui.ajax(urls + "/api.mvc/GetVersionNo", {
			type: "post",
			data: {
				//version: version
			},
			dataType: 'json',
			timeout: 5000,
			//headers:{'Content-Type':'application/json'},
			success: function(data) {
				console.info(JSON.stringify(data));

				if(data.Result == true && data.VersionNo != version) {
					var btnArray = ['是', '否'];
					mui.confirm('最新version是：' + data.VersionNo + ',是否更新', '发现最新版本', btnArray, function(z) {
						if(z.index == 0) {
							console.info(wgtUrl);
							//installWgt("H5A762C78121.wgt")
							downWgt();

							if(value == 1) {
								callback();
							}
						} else {
							if(value == 1) {
								callback();
							}
						}
					}, 'div');
				} else {
					if(typeof(value) == 'undefined' || value == null || value == '') {
						mui.alert("已经是最新版本", "更新提示", null, null, 'div');

					}
					if(value == 1) {
						callback();
					}

				}

			},
			error: function(xhr, type, errorThrown) {
				console.info(type);

				mui.alert(type + "：" + xhr.response, "请求错误提示", null, null, 'div');
				//console.log(JSON.stringify(xhr));
				if(value == 1) {
					callback();
				}
			}

		});

	});
}