//Controller：控制器名称
//addHtmlUrl：增加页面地址
//editHtmlUrl：修改页面地址
//detailHtmlUrl：详情页地址
//conditionStr：查询条件
//IsEdit：是否有修改操作
//IsDelete：是否有删除操作
//IsAdd：是否有增加操作
//IsDetail：是否查看详情页
function ViewIndex($, doc, Options) {

	//初始页码
	var pageNo = 1;
	if(IsEmpty(Options.addHtmlUrl)) {
		Options.addHtmlUrl = "addIndex.html";
	}
	if(IsEmpty(Options.editHtmlUrl)) {
		Options.editHtmlUrl = "editIndex.html";
	}

	//search();
	//初始化
	$.init({
		swipeBack: true, //滑动返回
		pullRefresh: {
			container: "#refreshContainer", //待刷新区域标识，querySelector能定位的css选择器均可，比如：id、.class等
			up: { //上拉加载
				height: 50, // 可选.默认50.触发上拉加载拖动距离
				auto: true, // 可选,默认false.自动上拉加载一次
				contentrefresh: "正在加载...", // 可选，正在加载状态时，上拉加载控件上显示的标题内容
				contentnomore: '没有更多数据了', // 可选，请求完毕若没有更多数据时显示的提醒内容；
				callback: function() {
					var self = this; // 这里的this == mui('#refreshContainer').pullRefresh()
					// 加载更多的内容
					search(self);
				} //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
			},
			//		        down: {//下拉刷新
			//		         	auto:true,//可选,默认false.自动下拉刷新一次
			//		            contentdown : "下拉可以刷新",//可选，在下拉可刷新状态时，下拉刷新控件上显示的标题内容
			//		            contentover : "释放立即刷新",//可选，在释放可刷新状态时，下拉刷新控件上显示的标题内容
			//		            contentrefresh : "正在刷新...",//可选，正在刷新状态时，下拉刷新控件上显示的标题内容
			//		            callback: function(){
			//		            	pageNo = 1;
			//		            	search(this);
			//		            }
			//		      	},

		}
	})

	//搜索方法
	function search(pullRefresh) {
		var dataLength = 0;
		var list = doc.getElementsByClassName("erpsearch");
		var conditionStr = "1=1";
		if(!IsEmpty(Options.conditionStr)) {
			conditionStr = Options.conditionStr;
		}
		//console.dir(list.length);
		for(var i = 0; i < list.length; i++) {
			var value = list[i].value;
			if(typeof(value) == 'undefined' || value == null || value == '') {
				continue;
			} else {
				var temp = list[i].attributes["myname"].value;
				var readonly = list[i].attributes["ID"].value;
				if(readonly == "beginTime" || readonly == "endTime") {
					if(readonly == "beginTime") {
						conditionStr += " and " + temp + " >= '" + value + "'";
					} else {
						conditionStr += " and " + temp + " < '" + value + "'";
					}
				} else {
					conditionStr += " and " + temp + " like '%" + value + "%'";
				}
			}

		}
		console.info(conditionStr);
		app.AppAjax(
			"/" + Options.Controller + ".mvc/GetViewData", {
				page: pageNo,
				rows: 6,
				sidx: "BuildTime",
				sord: "desc",
				condition: conditionStr
			},
			"Post",
			5000,
			function(data) {
				//console.log(JSON.stringify(data));
				//var arr = data.rows;
				var arr = data;
				var liArr = [];
				var idArr = [];
				var listUl = doc.getElementById("list");
				if(arr.length != 0) {
					dataLength = arr.length;
					//console.info("arr"+dataLength);
					for(var i in arr) {
						var str = "";
						//console.log(i);
						var ent = arr[i];
						var li = doc.createElement("li");
						li.className = 'mui-table-view-cell mui-media scjh_gl';
						li.id = "li" + ent.ID;
						//str += "<li class='mui-table-view-cell mui-media scjh_gl' id='li"+ent.ID+"'>";
						if(Options.IsDelete != "false") {
							str += "<div class='mui-slider-right mui-disabled'>";
							str += "<a class='mui-btn mui-btn-red' style='transform: translate(0px, 0px);' id='" + ent.ID + "'>删除</a>";
							str += "</div>";
						}
						str += "<div  class='mui-slider-handle' style='transform: translate(0px, 0px);'>";
						if(IsEmpty(ent.buildTime)) {
							str += "<h2><i></i><a href='javascript:void(0)' id='detail" + ent.ID + "'>" + ent.titleName + "</a></h2>";
						} else {
							str += "<h2><i>" + ent.buildTime + "</i><a href='javascript:void(0)'>" + ent.titleName + "</a></h2>";
						}

						str += "<a href='#' class='mui-navigate-right'>";
						str += "	<div  class='mui-media-body'>";
						if(ent.Message.length > 0) {
							for(var i in ent.Message) {
								str += "<p>" + ent.Message[i] + "</p>";
							}
						} else {
							str += "		<p></p>";
							str += "		<p></p>";
						}
						str += "	</div>";
						str += "</a>";
						if(Options.IsEdit != "false") {
							str += "<p class='jp_lb_p'>";
							if(Options.IsEditItems == "true") {
								str += "	<a id='editItems" + ent.ID + "'  class='jh_lb_i1'>修改明细</a>";
							}
							str += "	<a id='edit" + ent.ID + "'  class='jh_lb_i1'>修改</a>";
							str += "</p>";
						}
						str += "</div>";
						//str += "</li>";
						li.innerHTML = str;

						var temp = doc.getElementById("li" + ent.ID);
						if(typeof(temp) == "undefined" || temp == null) {
							liArr.push(li);
							idArr.push(ent.ID)
						}

					}
					if(dataLength >= 6) {
						pageNo++;
					}
					for(var i in idArr) {
						//绑定按钮功能
						listUl.appendChild(liArr[i]);
						setFunc(idArr[i]);
						//							console.log("i:"+i);
						//							console.log(liArr[i]);
					}
					if(pullRefresh != undefined) {
						pullRefresh.endPullupToRefresh(false);
					}

					//$('#refreshContainer').pullRefresh().endPulldownToRefresh();

				} else {
					pullRefresh.endPullupToRefresh(true);
				}
			}
		);
		//console.info(dataLength);

	}
	//绑定按钮功能
	function setFunc(id) {
		var btnArray = ['确定', '取消'];
		//console.log(id);
		if(Options.IsDelete != "false") {
			doc.getElementById(id).addEventListener('tap', function() {
				var li = this.parentNode.parentNode;
				$.confirm('确认删除该条记录？', 'ERP手机端', btnArray, function(e) {
					//console.info(id);
					if(e.index == 1) {
						mui.swipeoutClose(li);
					} else {
						del(id);
					}
				});
			});
		}
		if(Options.IsEdit != "false") {
			doc.getElementById("edit" + id).addEventListener('tap', function() {
				//					console.log("edit"+id);
				$.openWindow({
					url: Options.editHtmlUrl,
					id: Options.Controller + "EditIndex.html",
					extras: {
						name: 'mui',
						version: '3',
						customerID: id
					}
				})
			})
		}
		if(Options.IsEditItems == "true") {
			doc.getElementById("editItems" + id).addEventListener('tap', function() {
				//					console.log("edit"+id);
				$.openWindow({
					url: "editItemsIndex.html",
					id: Options.Controller + "EditItemsIndex.html",
					extras: {
						name: 'mui',
						version: '3',
						customerID: id
					}
				})
			})
		}

	}

	//删除
	function del(ID) {
		console.info(ID);
		var arr = [];
		arr.push(ID);
		app.AppAjax(
			"/" + Options.Controller + ".mvc/Delete", {
				id: ID
			},
			"Post",
			5000,
			function(data) {
				//console.log(JSON.stringify(data))
				if(data.Result == true) {
					var listUl = doc.getElementById("list");
					var li = doc.getElementById("li" + ID);
					listUl.removeChild(li);
					mui.toast(data.Message);
				} else {
					console.log(data.Message);
				}
			},
			function(data) {
				console.log(JSON.stringify(data));
			}
		);
	}
	//查询弹出框
	$("#middlePopover").on("tap", "a", function() {
		$("#middlePopover").popover("hide");
	})
	//新增按钮绑定跳转功能
	doc.getElementById("Add").addEventListener("tap", function() {
		$.openWindow({
			url: Options.addHtmlUrl,
			id: Options.Controller + "AddIndex.html",
			extra: {}
		});
	});
	doc.getElementById("search").addEventListener("tap", function() {
		$("#middlePopover").popover("hide");
		doc.getElementById("list").innerHTML = "";
		//重置刷新
		$('#refreshContainer').pullRefresh().refresh(true);
		pageNo = 1;
		search($('#refreshContainer').pullRefresh());
	});
}